From: "Tityik Wong" <[email-masked]>
Date: Tue, 26 Apr 94 14:43:56 CDT

Hello all wonderful netters. I have a serious question that needs answer. I am 
a CSPA principal and was approved on Sep 30, 1993 by the Western center. However
I have not received my green card yet. I called the factory in Texas, a recog message said that they have received copy 2 of form I-181, but need copy 3
of form I-81 and a form I-89 in order to produce my green card. Has anyone ever
encountered the same kind of situation? Or does any one know what is going on
or what to do? All answers are highly appreciated.